close all;clear all;clc
load resultados_binaurales
fs=44100;
ter_octavas=[100,125,160,200,250,315,400,500,630,800,1000,1250,1600,2000,2500,3150,4000,5000];

[iacc0]=IACC_funcion(salida0);
[iacc1]=IACC_funcion(salida1);
[iacc2]=IACC_funcion(salida2);

[iacclate0]=IACClate_funcion(salida0);
[iacclate1]=IACClate_funcion(salida1);
[iacclate2]=IACClate_funcion(salida2);

figure;semilogx(ter_octavas,iacc0,'r',ter_octavas,iacc1,'g',ter_octavas,iacc2,'b','LineWidth',2)


title('Correlación interaural cruzada(IACC)')
xlabel('Frecuencia')
ylabel('Coeficiente')
legend('Sin difusor','Difusor 1','Difusor 2')

figure;semilogx(ter_octavas,iacclate0,'r',ter_octavas,iacclate1,'g',ter_octavas,iacclate2,'b','LineWidth',2)


title('Correlación interaural cruzada tardía(IACC late)')
xlabel('Frecuencia')
ylabel('Coeficiente')
legend('Sin difusor','Difusor 1','Difusor 2')





%escritura de resultados en EXCEL
xlswrite('Resultados.xlsx',iacc0,'IACC');
xlswrite('Resultados.xlsx',iacc1,'IACC','A3');
xlswrite('Resultados.xlsx',iacc2,'IACC','A5');
xlswrite('Resultados.xlsx',iacclate0,'IACC','A7');
xlswrite('Resultados.xlsx',iacclate1,'IACC','A9');
xlswrite('Resultados.xlsx',iacclate2,'IACC','A11');

